Get certified for free when you join Fabric Data Days 2026 and dive into Fabric, Power BI, SQL, AI, and other essential data skills.
Join nowJuly 28 - August 9 | Final Round of the Power BI Dataviz World Championships. This is your chance. Learn more
I am trying to generate Embed token with RLS using POSTMAN providing parameters:
POST https://api.powerbi.com/v1.0/myorg/groups/{GROUP ID}/reports/{REPORT ID}/GenerateToken
headers = {
Authorization: Bearer + {access_token from first post}
Content-Type:application/json; charset=utf-8
Accept:application/json
}
data= {
"accessLevel": "View",
"allowSaveAs": "false"
"identities": [
{
"username": "[email protected]",
"roles": [ "abc" ],
"datasets": [ "datasetID" ]
}
]
}
The generated token checked on https://microsoft.github.io/PowerBI-JavaScript/demo/v2-demo/index.html#
Embeded URL: https://api.powerbi.com/v1.0/myorg/groups/GROUPID/reports/REPORTID/GenerateToken
It is showing whole report without applying RLS. Is this approch is correct?
It will be great if someone suggest ans ASAP.
Any suggestions?
If you love stickers, then you will definitely want to check out our community sticker challenge, Barcelona edition!
Check out the July 2026 Power BI update to learn about new features.
| User | Count |
|---|---|
| 2 | |
| 1 | |
| 1 | |
| 1 | |
| 1 |
| User | Count |
|---|---|
| 4 | |
| 2 | |
| 1 | |
| 1 | |
| 1 |